# DocumentTraversal : Object
Return to: HTML DOM Level 2 index

Allows you to create iterators and tree-walkers to traverse the nodes of a Document.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 2.0+ | no | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentTraversal Constructor() : DocumentTraversal Allows you to create iterators and tree-walkers to traverse the nodes of a Document. | Show Details | no | 1.0+ | 2.0+ | no | 1.0+

### DocumentTraversal() : DocumentTraversal

Allows you to create iterators and tree-walkers to traverse the nodes of a Document.

Returns

DocumentTraversal |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
createNodeIterator(Node root, Number whatToShow, [NodeFilter filter,] [Boolean entityReferenceExpansion]) : NodeIterator Creates a new NodeIterator for the subtree at the specified node. | Show Details | no | 1.0+ | 2.0+ | no | 1.0+

Parameters

Node | root | Node to be iterated with its children.
Number | whatToShow | Specifies which types of nodes to show in the treeview.
NodeFilter | filter | (optional)Filter to use with this NodeIterator.
Boolean | entityReferenceExpansion | (optional)If true, specifies that entity reference nodes should be expanded.

Returns

NodeIterator |

Throws
    Raises a NOT_SUPPORTED_ERR if the specified root is null.
Availability

  HTML DOM Level 2|W3C

createTreeWalker(Node root, Number whatToShow, [NodeFilter filter,] [Boolean entityReferenceExpansion]) : TreeWalker Creates a new TreeWalker for the subtree at the specified node. | Show Details | no | 1.0+ | 2.0+ | no | 1.0+

Parameters

Node | root | Node to serve as the root for the TreeWalker.
Number | whatToShow | Specifies which types of nodes to show in the treeview.
NodeFilter | filter | (optional)Filter to use with this TreeWalker.
Boolean | entityReferenceExpansion | (optional)If true, specifies that entity reference nodes should be expanded.

Returns

TreeWalker |

Throws
    Throws a NOT_SUPPORTED_ERR if the specified root is null.
Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs